SingleResp (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.cert.ocsp

## Class SingleResp

- java.lang.Object
- - org.bouncycastle.cert.ocsp.SingleResp

-     public class SingleResp
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SingleResp(org.bouncycastle.asn1.ocsp.SingleResponse resp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CertificateID` | `getCertID()`
    `CertificateStatus` | `getCertStatus()` Return the status object for the response - null indicates good.
    `java.util.Set` | `getCriticalExtensionOIDs()`
    `org.bouncycastle.asn1.x509.Extension` | `getExtension(org.bouncycastle.asn1.ASN1ObjectIdentifier oid)`
    `java.util.List` | `getExtensionOIDs()`
    `java.util.Date` | `getNextUpdate()` return the NextUpdate value - note: this is an optional field so may be returned as null.
    `java.util.Set` | `getNonCriticalExtensionOIDs()`
    `java.util.Date` | `getThisUpdate()`
    `boolean` | `hasExtensions()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SingleResp

          public SingleResp(org.bouncycastle.asn1.ocsp.SingleResponse resp)

  - ### Method Detail

    - #### getCertID

          public CertificateID getCertID()

    - #### getCertStatus

          public CertificateStatus getCertStatus()

      Return the status object for the response - null indicates good.
      Returns:
        the status object for the response, null if it is good.

    - #### getThisUpdate

          public java.util.Date getThisUpdate()

    - #### getNextUpdate

          public java.util.Date getNextUpdate()

      return the NextUpdate value - note: this is an optional field so may be returned as null.
      Returns:
        nextUpdate, or null if not present.

    - #### hasExtensions

          public boolean hasExtensions()

    - #### getExtension

          public org.bouncycastle.asn1.x509.Extension getExtension(org.bouncycastle.asn1.ASN1ObjectIdentifier oid)

    - #### getExtensionOIDs

          public java.util.List getExtensionOIDs()

    - #### getCriticalExtensionOIDs

          public java.util.Set getCriticalExtensionOIDs()

    - #### getNonCriticalExtensionOIDs

          public java.util.Set getNonCriticalExtensionOIDs()